Subject: [Gen-art] Gen-ART review of draft-cridland-urlfetch-binary-03.txt

From: "McCann Peter-A001034" <[email-masked]>
Date: Tue, 2 Dec 2008 13:58:49 -0500

I am the assigned Gen-ART reviewer for
draft-cridland-urlfetch-binary-03.txt

For background on Gen-ART, please see the FAQ at 
<http://www.alvestrand.no/ietf/gen/art/gen-art-FAQ.html>.

Please resolve these comments along with any other Last Call comments
you may receive.

Summary:
ABNF might have some problems, unless I am confused.  Otherwise looks
ok. 

Technical
=========

I could not parse the ABNF as some productions seemed to be missing;
I looked for them in the referenced documents RFC 3501, RFC 3516, and
RFC 4467.  Specifically, I cannot find a definition for 
"url-meta-bodystruct", "url-meta-body", or "url-meta-binary".
Did you mean for the last three productions ("url-bodystruct",
"url-binary",
and "url-body") to have the word "meta" in them?  Those three seem to be

unused elsewhere, and fit the examples given earlier.  Or, did I just
miss 
the definitions from somewhere else?  In that case, it might be nice to 
have a pointer to where the production is actually defined, in a comment

within the ABNF.

Editorial
=========

In the Abstract:
OLD:
user's private store, however,
NEW:
user's private store; however,

Section 3:
OLD:
additional, per-URL, parameters
NEW:
additional, per-URL parameters

OLD:
command, and will provide,
NEW:
command and will provide,

Section 3.2:
OLD:
   follows:
   BODYPARTSTRUCTURE
NEW:
   follows:

   BODYPARTSTRUCTURE

_______________________________________________
Gen-art mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/gen-art

---

From: Dave Cridland <[email-masked]>
Date: Tue, 02 Dec 2008 19:16:16 +0000

> Please resolve these comments along with any other Last Call  
Ack, thanks. I'll get onto these.

Dave.